Get App Connectivity report.

Prev Next
Get
/health/app-connectivity

Get a list of all unhealthy apps reported by gateways. Requires a license.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means he items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

List of unhealthy apps.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (UnhealthyApp)

List of unhealthy apps.

object

Represents an unhealthy app on a Site. Same app could appear multiple times if it is used by multiple Sites using the Override Site feature.

entitlement
string (uuid)

ID of the Entitlement.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
entitlementName
string

Name of the Entitlement.

reportCount
integer

Total report count for the Entitlement.

userCount
integer

Total user count affected by the unhealthy app.

site
string (uuid)

ID of the Site.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
siteName
string

Name of the Site.

gatewaysReportingCount
integer

The total amount of Gateways reporting this Entitlement as unhealthy.

gatewayCountInSite
integer

The total amount of active Gateways in the Site.

lastReported
string (date-time)

Timestamp of the last time the Entitlement was reported unhealthy.

appErrors
Array of object

Specific apps being reported unhealthy and its details.

object
ip
string

IP of the resource.

Example10.0.0.52
index
integer

Action index of the Entitlement.

reportCount
integer

Report count of the unhealthy app.

userCount
integer

User count of the unhealthy app.

portRange
string

Port range affected on the unhealthy app.

Example1-4000
reason
string

The reason for the unhealth.

Examplerst-received
appliance
string (uuid)

ID of the reporting Gateway Appliance.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
gatewayName
string

Name of the Gateway Appliance.

lastReported
string (date-time)

Timestamp of the last time the app was reported unhealthy.

hasNameError
boolean

Whether this Entitlement has a name error or not.

nameErrors
Array of object

Name errors reported for this Entitlement.

object
host
string

Action host that has the error.

Exampleinvalid.hostname.com
errors
Array of string

List of error messages for the name.

string
userCount
integer

User count for the unhealthy name.

appliance
string (uuid)

ID of the reporting Gateway Appliance.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
gatewayName
string

Name of the Gateway Appliance.

lastReported
string (date-time)

Timestamp of the last time the name was reported unhealthy.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.